part of 'apple_product_name.dart';

const _map = {
  "i386": "iOS Simulator 32-bit",
  "x86_64": "iOS Simulator 64-bit",
  "arm64": "iPhone Simulator ARM",
  "iPhone1,1": "iPhone 1st Gen",
  "iPhone1,2": "iPhone 3G 2nd Gen",
  "iPhone2,1": "iPhone 3GS 3rd Gen",
  "iPhone3,1": "iPhone 4",
  "iPhone3,2": "iPhone 4 (GSM) Rev A",
  "iPhone3,3": "iPhone 4 (CDMA)",
  "iPhone4,1": "iPhone 4s",
  "iPhone5,1": "iPhone 5 (GSM)",
  "iPhone5,2": "iPhone 5 (CDMA+LTE)",
  "iPhone5,3": "iPhone 5c (GSM)",
  "iPhone5,4": "iPhone 5c (Global)",
  "iPhone6,1": "iPhone 5s (GSM)",
  "iPhone6,2": "iPhone 5s (Global)",
  "iPhone7,1": "iPhone 6 Plus",
  "iPhone7,2": "iPhone 6",
  "iPhone8,1": "iPhone 6s",
  "iPhone8,2": "iPhone 6s Plus",
  "iPhone8,4": "iPhone SE",
  "iPhone9,1": "iPhone 7",
  "iPhone9,2": "iPhone 7 Plus",
  "iPhone9,3": "iPhone 7 (no CDMA)",
  "iPhone9,4": "iPhone 7 Plus (no CDMA)",
  "iPhone10,1": "iPhone 8",
  "iPhone10,2": "iPhone 8 Plus",
  "iPhone10,3": "iPhone X",
  "iPhone10,4": "iPhone 8 (no CDMA)",
  "iPhone10,5": "iPhone 8 Plus (no CDMA)",
  "iPhone10,6": "iPhone X (no CDMA)",
  "iPhone11,2": "iPhone XS",
  "iPhone11,4": "iPhone XS Max (China)",
  "iPhone11,6": "iPhone XS Max",
  "iPhone11,8": "iPhone XR",
  "iPhone12,1": "iPhone 11",
  "iPhone12,3": "iPhone 11 Pro",
  "iPhone12,5": "iPhone 11 Pro Max",
  "iPhone12,8": "iPhone SE 2nd Gen",
  "iPhone13,1": "iPhone 12 mini",
  "iPhone13,2": "iPhone 12",
  "iPhone13,3": "iPhone 12 Pro",
  "iPhone13,4": "iPhone 12 Pro Max",
  "iPhone14,2": "iPhone 13 Pro",
  "iPhone14,3": "iPhone 13 Pro Max",
  "iPhone14,4": "iPhone 13 mini",
  "iPhone14,5": "iPhone 13",
  "iPhone14,6": "iPhone SE 3rd Gen",
  "iPhone14,7": "iPhone 14",
  "iPhone14,8": "iPhone 14 Plus",
  "iPhone15,2": "iPhone 14 Pro",
  "iPhone15,3": "iPhone 14 Pro Max",
  "iPod1,1": "iPod 1st Gen",
  "iPod2,1": "iPod 2nd Gen",
  "iPod3,1": "iPod 3rd Gen",
  "iPod4,1": "iPod 4th Gen",
  "iPod5,1": "iPod 5th Gen",
  "iPod7,1": "iPod 6th Gen",
  "iPod9,1": "iPod 7th Gen",
  "iPad1,1": "iPad 1st Gen (WiFi)",
  "iPad1,2": "iPad 1st Gen (3G)",
  "iPad2,1": "iPad 2nd Gen (WiFi)",
  "iPad2,2": "iPad 2nd Gen (GSM)",
  "iPad2,3": "iPad 2nd Gen (CDMA)",
  "iPad2,4": "iPad 2nd Gen New Revision",
  "iPad2,5": "iPad mini 1st Gen (WiFi)",
  "iPad2,6": "iPad mini 1st Gen (GSM+LTE)",
  "iPad2,7": "iPad mini 1st Gen (CDMA+LTE)",
  "iPad3,1": "iPad 3rd Gen (WiFi)",
  "iPad3,2": "iPad 3rd Gen (CDMA)",
  "iPad3,3": "iPad 3rd Gen (GSM)",
  "iPad3,4": "iPad 4th Gen (WiFi)",
  "iPad3,5": "iPad 4th Gen (GSM+LTE)",
  "iPad3,6": "iPad 4th Gen (CDMA+LTE)",
  "iPad4,1": "iPad Air 1st Gen (WiFi)",
  "iPad4,2": "iPad Air 1st Gen (GSM+CDMA)",
  "iPad4,3": "iPad Air 1st Gen (China)",
  "iPad4,4": "iPad mini 2nd Gen (WiFi)",
  "iPad4,5": "iPad mini 2nd Gen (WiFi+Cellular)",
  "iPad4,6": "iPad mini 2nd Gen (China)",
  "iPad4,7": "iPad mini 3rd Gen (WiFi)",
  "iPad4,8": "iPad mini 3rd Gen (WiFi+Cellular)",
  "iPad4,9": "iPad mini 3rd Gen (China)",
  "iPad5,1": "iPad mini 4th Gen (WiFi)",
  "iPad5,2": "iPad mini 4th Gen (WiFi+Cellular)",
  "iPad5,3": "iPad Air 2 (WiFi)",
  "iPad5,4": "iPad Air 2 (WiFi+Cellular)",
  "iPad6,3": "iPad Pro 1st Gen (9.7 inch, WiFi)",
  "iPad6,4": "iPad Pro 1st Gen (9.7 inch, WiFi+Cellular)",
  "iPad6,7": "iPad Pro 1st Gen (12.9 inch, WiFi)",
  "iPad6,8": "iPad Pro 1st Gen (12.9 inch, WiFi+Cellular)",
  "iPad6,11": "iPad 5th Gen (WiFi)",
  "iPad6,12": "iPad 5th Gen (WiFi+Cellular)",
  "iPad7,1": "iPad Pro 2nd Gen (12.9 inch, WiFi)",
  "iPad7,2": "iPad Pro 2nd Gen (12.9 inch, WiFi+Cellular)",
  "iPad7,3": "iPad Pro 2nd Gen (10.5 inch, WiFi)",
  "iPad7,4": "iPad Pro 2nd Gen (10.5 inch, WiFi+Cellular)",
  "iPad7,5": "iPad 6th Gen (WiFi)",
  "iPad7,6": "iPad 6th Gen (WiFi+Cellular)",
  "iPad7,11": "iPad 7th Gen (WiFi)",
  "iPad7,12": "iPad 7th Gen (WiFi+Cellular)",
  "iPad8,1": "iPad Pro 3rd Gen (11 inch, WiFi)",
  "iPad8,2": "iPad Pro 3rd Gen (11 inch, WiFi, 1TB)",
  "iPad8,3": "iPad Pro 3rd Gen (11 inch, WiFi+Cellular)",
  "iPad8,4": "iPad Pro 3rd Gen (11 inch, WiFi+Cellular, 1TB)",
  "iPad8,5": "iPad Pro 3rd Gen (12.9 inch, WiFi)",
  "iPad8,6": "iPad Pro 3rd Gen (12.9 inch, WiFi, 1TB)",
  "iPad8,7": "iPad Pro 3rd Gen (12.9 inch, WiFi+Cellular)",
  "iPad8,8": "iPad Pro 3rd Gen (12.9 inch, WiFi+Cellular, 1TB)",
  "iPad8,9": "iPad Pro 4th Gen (11 inch, WiFi)",
  "iPad8,10": "iPad Pro 4th Gen (11 inch, WiFi+Cellular)",
  "iPad8,11": "iPad Pro 4th Gen (12.9 inch, WiFi)",
  "iPad8,12": "iPad Pro 4th Gen (12.9 inch, WiFi+Cellular)",
  "iPad11,1": "iPad mini 5th Gen (WiFi)",
  "iPad11,2": "iPad mini 5th Gen (WiFi+Cellular)",
  "iPad11,3": "iPad Air 3rd Gen (WiFi)",
  "iPad11,4": "iPad Air 3rd Gen (WiFi+Cellular)",
  "iPad11,6": "iPad 8th Gen (WiFi)",
  "iPad11,7": "iPad 8th Gen (WiFi+Cellular)",
  "iPad12,1": "iPad 9th Gen (WiFi)",
  "iPad12,2": "iPad 9th Gen (WiFi+Cellular)",
  "iPad13,1": "iPad Air 4th Gen (WiFi)",
  "iPad13,2": "iPad Air 4th Gen (WiFi+Cellular)",
  "iPad13,4": "iPad Pro 3rd Gen (11 inch, WiFi)",
  "iPad13,5": "iPad Pro 3rd Gen (11 inch, WiFi)",
  "iPad13,6": "iPad Pro 3rd Gen (11 inch, WiFi+Cellular)",
  "iPad13,7": "iPad Pro 3rd Gen (11 inch, WiFi+Cellular)",
  "iPad13,8": "iPad Pro 5th Gen (12.9 inch, WiFi)",
  "iPad13,9": "iPad Pro 5th Gen (12.9 inch, WiFi)",
  "iPad13,10": "iPad Pro 5th Gen (12.9 inch, WiFi+Cellular)",
  "iPad13,11": "iPad Pro 5th Gen (12.9 inch, WiFi+Cellular)",
  "iPad13,16": "iPad Air 5th Gen (WiFi)",
  "iPad13,17": "iPad Air 5th Gen (WiFi+Cellular)",
  "iPad13,18": "iPad 10th Gen",
  "iPad13,19": "iPad 10th Gen",
  "iPad14,1": "iPad mini 6th Gen (WiFi)",
  "iPad14,2": "iPad mini 6th Gen (WiFi+Cellular)",
  "iPad14,3-A": "iPad Pro 4th Gen (11 inch)",
  "iPad14,3-B": "iPad Pro 4th Gen (11 inch)",
  "iPad14,4-A": "iPad Pro 4th Gen (11 inch)",
  "iPad14,4-B": "iPad Pro 4th Gen (11 inch)",
  "iPad14,5-A": "iPad Pro 6th Gen (12.9 inch)",
  "iPad14,5-B": "iPad Pro 6th Gen (12.9 inch)",
  "iPad14,6-A": "iPad Pro 6th Gen (12.9 inch)",
  "iPad14,6-B": "iPad Pro 6th Gen (12.9 inch)",
  "Watch1,1": "Apple Watch 1st Gen 38mm case",
  "Watch1,2": "Apple Watch 1st Gen 42mm case",
  "Watch2,6": "Apple Watch Series 1 38mm case",
  "Watch2,7": "Apple Watch Series 1 42mm case",
  "Watch2,3": "Apple Watch Series 2 38mm case",
  "Watch2,4": "Apple Watch Series 2 42mm case",
  "Watch3,1": "Apple Watch Series 3 38mm case (GPS+Cellular)",
  "Watch3,2": "Apple Watch Series 3 42mm case (GPS+Cellular)",
  "Watch3,3": "Apple Watch Series 3 38mm case (GPS)",
  "Watch3,4": "Apple Watch Series 3 42mm case (GPS)",
  "Watch4,1": "Apple Watch Series 4 40mm case (GPS)",
  "Watch4,2": "Apple Watch Series 4 44mm case (GPS)",
  "Watch4,3": "Apple Watch Series 4 40mm case (GPS+Cellular)",
  "Watch4,4": "Apple Watch Series 4 44mm case (GPS+Cellular)",
  "Watch5,1": "Apple Watch Series 5 40mm case (GPS)",
  "Watch5,2": "Apple Watch Series 5 44mm case (GPS)",
  "Watch5,3": "Apple Watch Series 5 40mm case (GPS+Cellular)",
  "Watch5,4": "Apple Watch Series 5 44mm case (GPS+Cellular)",
  "Watch5,9": "Apple Watch SE 40mm case (GPS)",
  "Watch5,10": "Apple Watch SE 44mm case (GPS)",
  "Watch5,11": "Apple Watch SE 40mm case (GPS+Cellular)",
  "Watch5,12": "Apple Watch SE 44mm case (GPS+Cellular)",
  "Watch6,1": "Apple Watch Series 6 40mm case (GPS)",
  "Watch6,2": "Apple Watch Series 6 44mm case (GPS)",
  "Watch6,3": "Apple Watch Series 6 40mm case (GPS+Cellular)",
  "Watch6,4": "Apple Watch Series 6 44mm case (GPS+Cellular)",
  "Watch6,6": "Apple Watch Series 7 41mm case (GPS)",
  "Watch6,7": "Apple Watch Series 7 45mm case (GPS)",
  "Watch6,8": "Apple Watch Series 7 41mm case (GPS+Cellular)",
  "Watch6,9": "Apple Watch Series 7 45mm case (GPS+Cellular)",
  "Watch6,10": "Apple Watch SE 40mm case (GPS)",
  "Watch6,11": "Apple Watch SE 44mm case (GPS)",
  "Watch6,12": "Apple Watch SE 40mm case (GPS+Cellular)",
  "Watch6,13": "Apple Watch SE 44mm case (GPS+Cellular)",
  "Watch6,14": "Apple Watch Series 8 41mm case (GPS)",
  "Watch6,15": "Apple Watch Series 8 45mm case (GPS)",
  "Watch6,16": "Apple Watch Series 8 41mm case (GPS+Cellular)",
  "Watch6,17": "Apple Watch Series 8 45mm case (GPS+Cellular)",
  "Watch6,18": "Apple Watch Ultra",
  "iMac9,1": "iMac (Early 2009)",
  "iMac10,1": "iMac (Late 2009)",
  "iMac11,2": "iMac (21.5-inch, Mid 2010)",
  "iMac11,3": "iMac (27-inch, Mid 2010)",
  "iMac12,1": "iMac (21.5-inch, Mid 2011)",
  "iMac12,2": "iMac (27-inch, Mid 2011)",
  "iMac13,1": "iMac (21.5-inch, Late 2012)",
  "iMac13,2": "iMac (27-inch, Late 2012)",
  "iMac14,1": "iMac (21.5-inch, Late 2013)",
  "iMac14,2": "iMac (27-inch, Late 2013)",
  "iMac14,4": "iMac (21.5-inch, Mid 2014)",
  "iMac15,1": "iMac (Retina 5K, 27-inch, Late 2014 / Mid 2015)",
  "iMac16,1": "iMac (21.5-inch, Late 2015)",
  "iMac16,2": "iMac (Retina 4K, 21.5-inch, Late 2015)",
  "iMac17,1": "iMac (Retina 5K, 27-inch, Late 2015)",
  "iMac18,1": "iMac (21.5-inch, 2017)",
  "iMac18,2": "iMac (Retina 4K, 21.5-inch, 2017)",
  "iMac18,3": "iMac (Retina 5K, 27-inch, 2017)",
  "iMac19,1": "iMac (Retina 5K, 27-inch, 2019)",
  "iMac19,2": "iMac (Retina 4K, 21.5-inch, 2019)",
  "iMac20,1": "iMac (Retina 5K, 27-inch, 2020)",
  "iMac20,2": "iMac (Retina 5K, 27-inch, 2020)",
  "iMac21,1": "iMac (24-inch, M1, 2021)",
  "iMac21,2": "iMac (24-inch, M1, 2021)",
  "iMacPro1,1": "iMac Pro",
  "Mac14,2": "MacBook Air (M2, 2022)",
  "Mac14,7": "MacBook Pro (13-inch, M2, 2022)",
  "MacBook5,2": "MacBook (13-inch, Early 2009 / Mid 2009)",
  "MacBook6,1": "MacBook (13-inch, Late 2009)",
  "MacBook7,1": "MacBook (13-inch, Mid 2010)",
  "MacBook8,1": "MacBook (Retina, 12-inch, Early 2015)",
  "MacBook9,1": "MacBook (Retina, 12-inch, Early 2016)",
  "MacBook10,1": "MacBook (Retina, 12-inch, 2017)",
  "MacBookAir2,1": "MacBook Air (Mid 2009)",
  "MacBookAir3,1": "MacBook Air (11-inch, Late 2010)",
  "MacBookAir3,2": "MacBook Air (13-inch, Late 2010)",
  "MacBookAir4,1": "MacBook Air (11-inch, Mid 2011)",
  "MacBookAir4,2": "MacBook Air (13-inch, Mid 2011)",
  "MacBookAir5,1": "MacBook Air (11-inch, Mid 2012)",
  "MacBookAir5,2": "MacBook Air (13-inch, Mid 2012)",
  "MacBookAir6,1": "MacBook Air (11-inch, Mid 2013 / Early 2014)",
  "MacBookAir6,2": "MacBook Air (13-inch, Mid 2013 / Early 2014)",
  "MacBookAir7,1": "MacBook Air (11-inch, Early 2015)",
  "MacBookAir7,2": "MacBook Air (13-inch, Early 2015 / 2017)",
  "MacBookAir8,1": "MacBook Air (Retina, 13-inch, 2018)",
  "MacBookAir8,2": "MacBook Air (Retina, 13-inch, 2019)",
  "MacBookAir9,1": "MacBook Air (Retina, 13-inch, 2020)",
  "MacBookAir10,1": "MacBook Air (M1, 2020)",
  "MacBookPro4,1": "MacBook Pro (Early 2008)",
  "MacBookPro5,1": "MacBook Pro (15-inch, Late 2008)",
  "MacBookPro5,2": "MacBook Pro (17-inch, Early 2009 / Mid 2009)",
  "MacBookPro5,3": "MacBook Pro (15-inch, Mid 2009)",
  "MacBookPro5,5": "MacBook Pro (13-inch, Mid 2009)",
  "MacBookPro6,1": "MacBook Pro (17-inch, Mid 2010)",
  "MacBookPro6,2": "MacBook Pro (15-inch, Mid 2010)",
  "MacBookPro7,1": "MacBook Pro (13-inch, Mid 2010)",
  "MacBookPro8,1": "MacBook Pro (13-inch, Early 2011 / Late 2011)",
  "MacBookPro8,2": "MacBook Pro (15-inch, Early 2011 / Late 2011)",
  "MacBookPro8,3": "MacBook Pro (17-inch, Early 2011 / Late 2011)",
  "MacBookPro9,1": "MacBook Pro (15-inch, Mid 2012)",
  "MacBookPro9,2": "MacBook Pro (13-inch, Mid 2012)",
  "MacBookPro10,1": "MacBook Pro (Retina, 15-inch, Mid 2012 / Early 2013)",
  "MacBookPro10,2": "MacBook Pro (Retina, 13-inch, Late 2012 / Early 2013)",
  "MacBookPro11,1": "MacBook Pro (Retina, 13-inch, Late 2013 / Mid 2014)",
  "MacBookPro11,2": "MacBook Pro (Retina, 15-inch, Late 2013 / Mid 2014)",
  "MacBookPro11,3": "MacBook Pro (Retina, 15-inch, Late 2013 / Mid 2014)",
  "MacBookPro11,4": "MacBook Pro (Retina, 15-inch, Mid 2015)",
  "MacBookPro11,5": "MacBook Pro (Retina, 15-inch, Mid 2015)",
  "MacBookPro12,1": "MacBook Pro (Retina, 13-inch, Early 2015)",
  "MacBookPro13,1": "MacBook Pro (13-inch, 2016, Two Thunderbolt 3 ports)",
  "MacBookPro13,2": "MacBook Pro (13-inch, 2016, Four Thunderbolt 3 ports)",
  "MacBookPro13,3": "MacBook Pro (15-inch, 2016)",
  "MacBookPro14,1": "MacBook Pro (13-inch, 2017, Two Thunderbolt 3 ports)",
  "MacBookPro14,2": "MacBook Pro (13-inch, 2017, Four Thunderbolt 3 ports)",
  "MacBookPro14,3": "MacBook Pro (15-inch, 2017)",
  "MacBookPro15,1": "MacBook Pro (15-inch, 2018 / 2019)",
  "MacBookPro15,2":
      "MacBook Pro (13-inch, 2018 / 2019, Four Thunderbolt 3 ports)",
  "MacBookPro15,3": "MacBook Pro (15-inch, 2019)",
  "MacBookPro15,4": "MacBook Pro (13-inch, 2019, Two Thunderbolt 3 ports)",
  "MacBookPro16,1": "MacBook Pro (16-inch, 2019)",
  "MacBookPro16,2": "MacBook Pro (13-inch, 2020, Four Thunderbolt 3 ports)",
  "MacBookPro16,3": "MacBook Pro (13-inch, 2020, Two Thunderbolt 3 ports)",
  "MacBookPro16,4": "MacBook Pro (16-inch, 2019)",
  "MacBookPro17,1": "MacBook Pro (13-inch, M1, 2020)",
  "MacBookPro18,1": "MacBook Pro (16-inch, 2021)",
  "MacBookPro18,2": "MacBook Pro (16-inch, 2021)",
  "MacBookPro18,3": "MacBook Pro (14-inch, 2021)",
  "MacBookPro18,4": "MacBook Pro (14-inch, 2021)",
  "Macmini3,1": "Mac mini (Early 2009 / Late 2009)",
  "Macmini4,1": "Mac mini (Mid 2010)",
  "Macmini5,1": "Mac mini (Mid 2011)",
  "Macmini5,2": "Mac mini (Mid 2011)",
  "Macmini6,1": "Mac mini (Late 2012)",
  "Macmini6,2": "Mac mini (Late 2012)",
  "Macmini7,1": "Mac mini (Late 2014)",
  "Macmini8,1": "Mac mini (2018)",
  "Macmini9,1": "Mac mini (M1, 2020)",
  "MacPro4,1": "Mac Pro (Early 2009)",
  "MacPro5,1": "Mac Pro (Mid 2010 / Mid 2012)",
  "MacPro6,1": "Mac Pro (Late 2013)",
  "MacPro7,1": "Mac Pro (2019)"
};

String? _lookup(String machineId) => _map[machineId];
